org.apache.lucene.util

## Class LSBRadixSorter

- java.lang.Object
- - org.apache.lucene.util.LSBRadixSorter

-     public final class LSBRadixSorter
      extends Object

  A LSB Radix sorter for unsigned int values.
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LSBRadixSorter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `sort(int numBits, int[] array, int len)` Sort `array[0:len]` in place.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LSBRadixSorter

          public LSBRadixSorter()

  - ### Method Detail

    - #### sort

          public void sort(int numBits,
                           int[] array,
                           int len)

      Sort `array[0:len]` in place.
      Parameters:
        `numBits` - how many bits are required to store any of the values in `array[0:len]`. Pass `32` if unknown.

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.